| 0.9.9 API documenation

Functions
fast_square_root.hpp File Reference

Go to the source code of this file.

## Functions
template<typename genType >
GLM_FUNC_DECL genType | fastDistance (genType x, genType y)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | fastDistance (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
template<typename genType >
GLM_FUNC_DECL genType | fastInverseSqrt (genType x)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastInverseSqrt (vec< L, T, Q > const &x)
template<typename genType >
GLM_FUNC_DECL genType | fastLength (genType x)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL T | fastLength (vec< L, T, Q > const &x)
template<typename genType >
GLM_FUNC_DECL genType | fastNormalize (genType const &x)
template<typename genType >
GLM_FUNC_DECL genType | fastSqrt (genType x)
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, T, Q > | fastSqrt (vec< L, T, Q > const &x)

## Detailed Description

GLM_GTX_fast_square_root

See also
  Core features (dependence)

Definition in file fast_square_root.hpp.